AbstractObservable (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.transport, class: AbstractObservable

Package org.apache.cxf.transport

# Class AbstractObservable

java.lang.Object
org.apache.cxf.transport.AbstractObservable

All Implemented Interfaces:
  `Observable`

Direct Known Subclasses:
  `AbstractConduit`, `AbstractDestination`

public abstract class AbstractObservable extends Object implements Observable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MessageObserver`
  `incomingObserver`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractObservable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `activate()`
  Activate messages flow.
  `protected void`
  `deactivate()`
  Deactivate messages flow.
  `protected abstract Logger`
  `getLogger()`
  `MessageObserver`
  `getMessageObserver()`
  Retrieves the message observer for incoming messages
  `protected static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getTargetReference(EndpointInfo ei, Bus bus)`
  Get the target reference .
  `protected static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getTargetReference(EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType t, Bus bus)`
  Get the target endpoint reference.
  `void`
  `setMessageObserver(MessageObserver observer)`
  Register a message observer for incoming messages.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### incomingObserver

    protected MessageObserver incomingObserver

- ## Constructor Details

  - ### AbstractObservable

    public AbstractObservable()

- ## Method Details

  - ### setMessageObserver

    public void setMessageObserver(MessageObserver observer)
    Register a message observer for incoming messages.
    Specified by:
      `setMessageObserver` in interface `Observable`
    Parameters:
      `observer` - the observer to notify on receipt of incoming message

  - ### getMessageObserver

    public MessageObserver getMessageObserver()
    Description copied from interface: `Observable`
    Retrieves the message observer for incoming messages
    Specified by:
      `getMessageObserver` in interface `Observable`
    Returns:
      the observer to notify on receipt of incoming message

  - ### getTargetReference

    protected static org.apache.cxf.ws.addressing.EndpointReferenceType getTargetReference(EndpointInfo ei, Bus bus)
    Get the target reference .
    Parameters:
      `ei` - the corresponding EndpointInfo
    Returns:
      the actual target

  - ### getTargetReference

    protected static org.apache.cxf.ws.addressing.EndpointReferenceType getTargetReference(EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType t, Bus bus)
    Get the target endpoint reference.
    Parameters:
      `ei` - the corresponding EndpointInfo
      `t` - the given target EPR if available
      `bus` - the Bus
    Returns:
      the actual target

  - ### activate

    protected void activate()
    Activate messages flow.

  - ### deactivate

    protected void deactivate()
    Deactivate messages flow.

  - ### getLogger

    protected abstract Logger getLogger()
    Returns:
      the logger to use